Поддержка Проблемы и решения PHP предупреждения

  • Здравствуйте,
    Прошу помочь в решении данной проблемы которая появилась после обновления PHP версии. На главной странице появляются ошибки
    http://joxi.ru/KAgR7nPtK4Kpa2
    Спасибо

    • Тема изменена 2 года, 5 месяцев назад пользователем Yui. Причина: правила форума #1

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 15 ответов — с 1 по 15 (всего 16)
  • Модератор Yui

    (@fierevere)

    ゆい

    Просто выключите предупреждения в wp-config.php
    также, как и включали их

    define(‘WP_DEBUG’, false);

    Впрочем вот эту проблему надо исправить
    https://codex.wordpress.org/%D0%A7%D0%90%D0%92%D0%9E/Cannot_modify_header_information

    ее выдает вам плагин delete-all-comments
    проще всего его выключить если он не нужен..

    Спасибо за совет.
    Отключил и ошибка исчезла, но осталась ниже указанная ошибка.
    Прошу посоветовать как ее решить?
    Warning: Parameter 2 to qtranxf_postsFilter() expected to be a reference, value given in /var/www/u0164190/data/www/ag-travel.com/wp-includes/class-wp-hook.php on line 287

    Модератор Yui

    (@fierevere)

    ゆい

    отладку отключите

    
    define(‘WP_DEBUG’, false);

    установите в wp-config.php

    (или найдите строку
    define(‘WP_DEBUG’, true);
    и удалите ее оттуда)

    в отличие от ошибки Cannot modify header information
    это предупреждение навряд ли нарушит работу сайта

    Модератор Yuri

    (@yube)

    Модератор Yui

    (@fierevere)

    ゆい

    Version:
    3.4.6.8
    Last updated:
    4 years ago
    Active installations:
    100,000+
    WordPress Version:
    3.9 or higher
    Tested up to:
    4.5.13

    нда, грустно конечно, подобное должны бы исправлять авторы, но тут уже совсем иной случай

    Добрый день,
    Не смог найти строку в wp-config.php
    define(‘WP_DEBUG’, true); и удалить ее.
    Прошу сообщить есть ли другой метод?
    Спасибо.

    Прежние ошибки исправил, но появилоась следующая ошибка:
    Warning: «continue» targeting switch is equivalent to «break». Did you mean to use «continue 2»? in /var/www/u0164190/data/www/ag-travel.com/wp-content/plugins/qtranslate-x/qtranslate_frontend.php on line 497

    Сообщите как ее исправить?

    Судя по Вашему скриншоту у вас там еще проблема с плагином qtranslate
    https://ru.wordpress.org/plugins/qtranslate-separate-comments/

    Он старый, больше 3-х лет не обновлялся, можете попробовать его тоже отключить, может быть поможет.

    Спасибо за совет.
    Деактивировав этот плагин проблема устранилась, но теперь перемешались все языки на сайте.
    Посоветуйте альтернативный плагин пжл.

    Модератор Yuri

    (@yube)

    https://ru.wordpress.org/plugins/wp-multilang/
    Вроде даже совместим с покойным qTranslate. Хотя с обновлениями у него тоже не супер.

    После установки WP-multilang плагина проблема решена.
    Спасибо всем за помощь.

    Обнаружил еще одну ошибку наверное связано с PHP.
    Прошу помочь как устранить ошибку? http://joxi.ru/zAN7p1aujBVKkr
    Спасибо.

    Прошу помочь как устранить ошибку? http://joxi.ru/zAN7p1aujBVKkr
    Спасибо.

    Религия, картинкой и не полный текст ошибки давать — откуда такая?
    Обратитесь на форум поддержки плагина или темы куда ведет ошибка — вы же только ее видите. Ну или к платным специалистом — они смогут увидеть. Мы — нет.

    Вот полный текст ошибки:
    Warning: Use of undefined constant php — assumed ‘php’ (this will throw an Error in a future version of PHP)
    Где и как можно исправить эту ошибку?

Просмотр 15 ответов — с 1 по 15 (всего 16)
  • Тема «PHP предупреждения» закрыта для новых ответов.